#include once "window9.bi"

function GetSpecialFolder(ByVal folderFlag As integer) As String Export
  Dim Address_ As  LPITEMIDLIST
  Dim REZ As String*512
  SHGetSpecialFolderLocation(0, folderFlag, @Address_)
  SHGetPathFromIDList(Address_, Cast(LPSTR,@REZ))
  Return REZ
End Function
